# Fixed accessing the actual frontend on multi frontend devices.
#
--- dvbdevice.c	2018/10/29 12:22:11	5.2
+++ dvbdevice.c	2019/03/10 12:03:20
@@ -571,6 +571,7 @@
   bool ProvidesDeliverySystem(int DeliverySystem) const;
   bool ProvidesModulation(int System, int StreamId, int Modulation) const;
   bool ProvidesFrontend(const cChannel *Channel, bool Activate = false) const;
+  int Frontend(void) const { return frontend; }
   int FrontendType(void) const { return frontendType; }
   const char *FrontendName(void) { return dvbFrontend->FrontendName(); }
   int NumProvidedSystems(void) const { return numDeliverySystems + numModulations; }
@@ -1869,6 +1870,11 @@
   return fd;
 }
 
+int cDvbDevice::Frontend(void) const
+{
+  return dvbTuner ? dvbTuner->Frontend() : frontend;
+}
+
 bool cDvbDevice::Exists(int Adapter, int Frontend)
 {
   cString FileName = DvbName(DEV_DVB_FRONTEND, Adapter, Frontend);
--- dvbdevice.h	2018/10/20 11:39:11	5.1
+++ dvbdevice.h	2019/03/10 12:01:15
@@ -189,7 +189,7 @@
   cDvbDevice(int Adapter, int Frontend);
   virtual ~cDvbDevice();
   int Adapter(void) const { return adapter; }
-  int Frontend(void) const { return frontend; }
+  int Frontend(void) const;
   virtual cString DeviceType(void) const;
   virtual cString DeviceName(void) const;
   static bool BondDevices(const char *Bondings);
